{
	"format_version": "1.16.100",
	"minecraft:entity": {
		"description": {
			"identifier": "project_emc:transmutation_table_entity",
			"is_summonable": true
        },
        "components": {
            "minecraft:type_family": {
                "family": ["inanimate"]
            },
            "minecraft:collision_box": {
                "height": 0,
                "width": 0
            },
            "minecraft:knockback_resistance": {
                "value": 100,
                "maximum": 100
            },
            "minecraft:damage_sensor": {
                "triggers": [
                    {
                        "cause": "all",
                        "deals_damage": false
                    }
                ]
            },
            "minecraft:inside_block_notifier": {
                "block_list": [
                    {
                        "block": {
                            "name": "air"
                        },
                        "entered_block_event": {
                            "event": "project_emc:remove",
                            "target": "self"
                        }
                    }
                ]
            },
            "minecraft:scale":{
                "value":0.5
            },
            "minecraft:timer": {
                "time": 0.1,
                "looping": true,
                "time_down_event": {
                    "event": "project_emc:table_entity_update",
                    "target": "self"
                }
            },
            "minecraft:nameable": {
                "allow_name_tag_renaming": false,
                "always_show": false
            }
        },
        "events": {
            "project_emc:remove": {
                "queue_command": {
                    "command": "scriptevent project_emc:table_entity_despawn"
                }
            },
            "project_emc:table_entity_update": {
                "queue_command": {
                    "command": "scriptevent project_emc:table_entity_update"
                }
            }
        }
	}
}